Subject: bug#26402: 25.2; Font rendering extremely slow on any non-default font

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Apr 2017 12:45:54 +0300

> Date: Sun, 09 Apr 2017 08:44:55 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > The profiler profiles are attached.
> 
> The profiles clearly tell the problem is related to font metrics, but
> they don't tell what exactly causes the slow-down or why.  Sorry.

How proficient are you with using GDB?  If I ask you to step through a
certain Emacs function and tell which of its parts is the slow one,
can you do that?  I can give more detailed instructions if needed.

TIA